--Zelda 2 Inventory Menu in Lua Example
--Lua Scripting Example
--Author:CoolHandMike

local p_lives = 0x0700
local p_keys = 0x0793
local p_crystals_left = 0x0794

local p_shield = 0x077B
local p_jump = 0x077C
local p_life = 0x077D
local p_fairy = 0x077E
local p_fire = 0x077F
local p_reflect = 0x0780
local p_spell = 0x0781
local p_thunder= 0x0782

local p_selected_magic = 0x0749 

local p_candle = 0x0785
local p_glove = 0x0786
local p_raft = 0x0787
local p_boots = 0x0788
local p_flute = 0x0789
local p_cross = 0x078A
local p_hammer = 0x078B
local p_bigkey = 0x078C

local function display_other()
	gui.drawText( 279, 169, mainmemory.readbyte(p_lives)-1, 0xFF4240fe, nil,  7, "Nintendo NES Font" );
	gui.drawText( 278, 168, mainmemory.readbyte(p_lives)-1, 0xFFFEFEFE, nil,  7, "Nintendo NES Font" );

	gui.drawText( 279, 178, mainmemory.readbyte(p_keys), 0xFF4240fe, nil,  7, "Nintendo NES Font" );
	gui.drawText( 278, 177, mainmemory.readbyte(p_keys), 0xFFFEFEFE, nil,  7, "Nintendo NES Font" );

	gui.drawText( 279, 185, mainmemory.readbyte(p_crystals_left), 0xFF4240fe, nil,  7, "Nintendo NES Font" );
	gui.drawText( 278, 184, mainmemory.readbyte(p_crystals_left), 0xFFFEFEFE, nil,  7, "Nintendo NES Font" );
	
end

local function display_spells()
	gui.drawImage( "selectedIcon.png", 265, 50 + (mainmemory.readbyte(p_selected_magic)*15) );

	if mainmemory.readbyte(p_shield) == 1  then
		gui.drawImage( "shield.png", 272, 50 );
	end
	
	if mainmemory.readbyte(p_jump) == 1  then
		gui.drawImage( "jump.png", 272, 65 );
	end
	
	if mainmemory.readbyte(p_life) == 1  then
		gui.drawImage( "life.png", 272, 80 );
	end
	
	if mainmemory.readbyte(p_fairy) == 1  then
		gui.drawImage( "fairy.png", 272, 95 );
	end
	
	 if mainmemory.readbyte(p_fire) == 1  then
		gui.drawImage( "fire.png", 272, 110 );
	end
	
	if mainmemory.readbyte(p_reflect) == 1  then
		gui.drawImage( "reflect.png", 272, 125);
	 end
	
	 if mainmemory.readbyte(p_spell) == 1  then
		 gui.drawImage( "shield.png", 272, 140 );
	 end
	
	if mainmemory.readbyte(p_thunder) == 1  then
		 gui.drawImage( "thunder.png", 272, 155 );
	 end
	
end

local function display_treasures()
	if mainmemory.readbyte(p_candle) == 1  then
		gui.drawImage( "candle.png", 287, 176 );
	end
	
	if mainmemory.readbyte(p_glove) == 1  then
		gui.drawImage( "glove.png", 295, 176 );
	end
	
	if mainmemory.readbyte(p_raft) == 1  then
		gui.drawImage( "raft.png", 303, 176 );
	end
	
	if mainmemory.readbyte(p_boots) == 1  then
		gui.drawImage( "boots.png", 311, 176 );
	end
	
	if mainmemory.readbyte(p_flute) == 1  then
		gui.drawImage( "flute.png", 319, 176 );
	end
	
	if mainmemory.readbyte(p_cross) == 1  then
		gui.drawImage( "cross.png", 327, 176 );
	end
	
	if mainmemory.readbyte(p_hammer) == 1  then
		gui.drawImage( "hammer.png", 335, 176 );
	end

	if mainmemory.readbyte(p_bigkey) == 1  then
		gui.drawImage( "bigkey.png", 343, 176 );
	end
end

while true do
	client.SetGameExtraPadding( 0, 0, 112, 0 );
	gui.drawImage( "empty_menu.png", client.bufferwidth()+1, 40 );

	display_other()
	display_spells()
	display_treasures()
	
	emu.frameadvance()
end